///Numerical Analysis
// 
import java.util.*;
import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;
import javax.swing.*;

//============= function definition ================

class fb extends f_x
{
   public double func (double x)
   { return Math.log(1+x*x)/Math.sqrt(1-x*x);}
}

public class dif
{
     public static void main (String args[])  
     {
	 fb f=new fb();
	 f.setOrder(4);
	 f.coef_out();
	 String s="f(0.5)="+f.func(0.5)+"\n";
	 s+="df(0.5)/dx="+f.dfunc(0.5)+"\n";
	 s+="d2f(0.5)/dx2="+f.dfunc(0.5,2)+"\n";
	 s+="d(3)f(0.5)/dx3="+f.dfunc(0.5,3)+"\n";
	 JOptionPane.showMessageDialog(null,s);
     } 
}